import Chip from '@/components/Chip'
import filterData from '@/lib/assets/data/currentFilter.json'
import { Tag } from 'types/content/'

type ServiceTagOptions = {
  tag: Tag,
  style: string
}

const filters = filterData.filter

const formatLabel = (tag: Tag) => {
    return `${translateLabel(tag.name)}: ${translateValue(tag)}`
}

function translateLabel(label: string): string {
    const filterCategoriesForTranslation = filters.filter(filterCategory => {
        return filterCategory.id == label
    })
    return filterCategoriesForTranslation.length > 0 ? filterCategoriesForTranslation[0].label : ''
}

function translateValue(tag: Tag): string {
    const filterCategoriesForTranslation = filters.filter(filterCategory => {
        return filterCategory.id == tag.name
    })
    if (filterCategoriesForTranslation.length > 0) {
        const filterCategory = filterCategoriesForTranslation[0]
        const filterValues = filterCategory.options.filter(option => {
            return option.id == tag.value
        })
        return filterValues.length > 0 ? filterValues[0].label : ''
    } else {
        return ''
    }
}

export default ({ tag, style }: ServiceTagOptions) => {
    return (
        <Chip text={formatLabel(tag)} style={`${style} capitalize ${tag.name == 'label' && tag.value == 'external' ? 'hidden' : ''}`} />
    )
}
