import { ChildResource, ContactInformation, Developer, Tag, Logo } from './content/'

class Content {
    contactInformation: ContactInformation = new ContactInformation()
    developer: Developer = new Developer()
    docsUrl: string = ''
    name: string = ''
    shortDescription: string = ''
    sourceCodeUrl: string = ''
    tags: Tag[] = []
    initialized: boolean = false
    text: string = ''
    childResources: ChildResource[] = []
    logo: Logo = new Logo()
    slug: string = ''

    constructor(newContent?: any) {
        if (newContent) {
            this.initialize(newContent)
            this.initialized = true
        }
    }

    initialize(newContent: Content) {
        this.contactInformation = newContent.contactInformation || new ContactInformation()
        this.developer = newContent.developer || new Developer()
        this.docsUrl = newContent.docsUrl || ''
        this.name = newContent.name || ''
        this.shortDescription = newContent.shortDescription || ''
        this.sourceCodeUrl = newContent.sourceCodeUrl || ''
        this.tags = newContent.tags || []
        this.text = newContent.text || ''
        this.childResources = newContent.childResources || []
        this.slug = newContent.slug || ''
        this.logo = newContent.logo || new Logo()
    }

    public get status(): string {
        const filteredTags:any = this.tags.filter((tag: Tag) => 'status' in tag)
        if (filteredTags.length > 0) {
            return filteredTags[0].status
        }
        return ''
    }
}

export { Content }
